package models

import (
   // "gorm.io/gorm"

	"go-admin/common/models"
)

type OrgLeague struct {
    models.Model
    
    LeagueName string `json:"leagueName" gorm:"type:varchar(255);comment:联赛级别"` 
    Status string `json:"status" gorm:"type:bigint(20);comment:联赛开启状态 1 是 0 否"` 
    models.ModelTime
    models.ControlBy
}

func (OrgLeague) TableName() string {
    return "org_league"
}

func (e *OrgLeague) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OrgLeague) GetId() interface{} {
	return e.Id
}